%define apiver 4.5
%define major 4
%define libname %mklibname %{name}- %{apiver} %{major}
%define develname %mklibname %{name} -d

Summary:	Disk based hash library
Name:		dbh
Version:	4.5.0
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Libraries
URL:		http://dbh.sourceforge.net/
Source:		http://downloads.sourceforge.net/dbh/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description 
Disk based hashes is a method to create multidimensional binary trees on disk.
This library permits the extension of database concept to a plethora of 
electronic data, such as graphic information. With the multidimensional binary 
tree it is possible to mathematically prove that access time to any 
particular record is minimized (using the concept of critical points from 
calculus), which provides the means to construct optimized databases for 
particular applications.  

%package -n %{libname}
Summary:	Disk based hash library
Group:		System/Libraries

%description -n %{libname}
Disk based hashes is a method to create multidimensional binary trees on disk.
This library permits the extension of database concept to a plethora of
electronic data, such as graphic information. With the multidimensional binary
tree it is possible to mathematically prove that access time to any
particular record is minimized (using the concept of critical points from
calculus), which provides the means to construct optimized databases for
particular applications.

%package -n %{develname}
Summary:	Libraries and headerfiles for development with dbh
Group:		Development/Other
Provides:	dbh-devel = %{version}-%{release}
Provides:	libdbh-devel = %{version}-%{release}
Provides:	dbh4-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
Libraries and headerfiles for development with dbh.

%prep
%setup -q

%build
%configure2_5x \
	--disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libdbh-%{apiver}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog examples/*.c examples/Makefile* doc/*.html
%{_includedir}/*
%{_libdir}/pkgconfig/dbh.pc
%{_libdir}/libdbh.*a
%{_libdir}/libdbh.so


%changelog
* Sun Nov 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.0-3mdv2008.1
+ Revision: 110063
- rebuild for new era
- new license policy
- new library policy
- disable rpath
- spec file clean


* Wed Jan 10 2007 Crispin Boylan <crisb@mandriva.org> 4.5.0-2mdv2007.0
+ Revision: 107004
- Bump release
- Fix devel provides

* Tue Jan 09 2007 Crispin Boylan <crisb@mandriva.org> 4.5.0-1mdv2007.1
+ Revision: 106230
- New release
- Import dbh

* Thu Jul 28 2005 Marcel Pol <mpol@mandriva.org> 1.0.24-1mdk
- 1.0.24
- %%mkrel
- don't run libtoolize

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 1.0.22-1mdk
- 1.0.22

* Sun Nov 14 2004 Marcel Pol <mpol@mandrake.org> 1.0.20-1mdk
- 1.0.20
- reenable libtoolize

* Sun Apr 18 2004 Charles A Edwards <eslrahc@bellsouth.net> 1.0.18-1mdk
- 1.0.18

